import { type IType, PrimaryKeyProp, defineEntity, p } from '@mikro-orm/core';

export class IcrHomeworkextracurricularanswer {
  [PrimaryKeyProp]?: 'Id';
  Id!: IType<number, bigint>;
  HomeworkExtracurricularId!: IType<number, bigint>;
  Name?: string;
  Time!: Date;
  Place?: string;
  Participant?: string;
  Thoughts?: string;
  Images?: unknown;
  VideoUrl?: string;
  StudentId!: IType<number, bigint>;
  Score!: number;
  Status!: number;
  Revision!: number;
  CreatedBy?: IType<number, bigint>;
  CreatedTime!: Date;
  UpdatedBy?: IType<number, bigint>;
  UpdatedTime?: Date;
  IsDeleted!: unknown;
}

export const IcrHomeworkextracurricularanswerSchema = defineEntity({
  class: IcrHomeworkextracurricularanswer,
  comment: '课外作业-学生表',
  properties: {
    Id: p.bigint().primary().name('Id').columnType('bigint').unsigned(false).autoincrement(false).comment('主键Id'),
    HomeworkExtracurricularId: p.bigint().name('HomeworkExtracurricularId').columnType('bigint').comment('课外活动Id'),
    Name: p.string().name('Name').nullable().comment('活动名称'),
    Time: p.datetime().name('Time').length(3).comment('活动时间'),
    Place: p.string().name('Place').nullable().comment('活动地点'),
    Participant: p.string().name('Participant').nullable().comment('活动人员'),
    Thoughts: p.string().name('Thoughts').nullable().comment('活动感想'),
    Images: p.array().name('Images').length(4294967295).nullable().comment('活动图片'),
    VideoUrl: p.string().name('VideoUrl').nullable().comment('视频地址'),
    StudentId: p.bigint().name('StudentId').columnType('bigint').comment('回答学生'),
    Score: p.integer().name('Score').comment('活动评价'),
    Status: p.integer().name('Status').comment('状态'),
    Revision: p.integer().name('Revision').comment('乐观锁'),
    CreatedBy: p.bigint().name('CreatedBy').columnType('bigint').nullable().comment('创建者用户Id'),
    CreatedTime: p.datetime().name('CreatedTime').length(3).comment('创建时间'),
    UpdatedBy: p.bigint().name('UpdatedBy').columnType('bigint').nullable().comment('修改者用户Id'),
    UpdatedTime: p.datetime().name('UpdatedTime').length(3).nullable().comment('修改时间'),
    IsDeleted: p.array().name('IsDeleted').comment('是否删除'),
  },
});
